from django.urls import path
from plots.views import PolygonEditView, PackingRectContainer, PackingRotatedRectContainer, PackingConvexContainer
from . import views

urlpatterns = [
    path('plot/', views.index, name='index'),
    #path('json/', views.get_json_view, name='index2'),
    #path('test/', views.test, name='index3'),
    #path('hello/', views.hello, name='index4'),
    path('test/', PolygonEditView.as_view(), name='index4'),
    path('packing_rect_container/', PackingRectContainer.as_view(), name='rect_container'),
    path('packing_rotated_rect_container/', PackingRotatedRectContainer.as_view(), name='rotated_rect_container'),
    path('packing_convex_container/', PackingConvexContainer.as_view(), name='convex_container'),
]